package cn.com.poc.ai_software_copyright.domain;

import java.util.List;

import cn.com.poc.ai_software_copyright.domian.BaseInfo;
import cn.com.poc.ai_software_copyright.domian.TechnicalContent;

/**
 * @author alex.yao
 * @date 2026/1/7
 */
public class GeneratedDoc {

    private Long id;

    private String ui;

    private String structure;

    private String demand;

    private String code;

    private BaseInfo baseinfo;

    private TechnicalContent technical_content;

    private List<String> fileURLs;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<String> getFileURLs() {
        return fileURLs;
    }

    public void setFileURLs(List<String> fileURLs) {
        this.fileURLs = fileURLs;
    }

    public String getUi() {
        return ui;
    }

    public void setUi(String ui) {
        this.ui = ui;
    }

    public String getStructure() {
        return structure;
    }

    public void setStructure(String structure) {
        this.structure = structure;
    }

    public String getDemand() {
        return demand;
    }

    public void setDemand(String demand) {
        this.demand = demand;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public BaseInfo getBaseinfo() {
        return baseinfo;
    }

    public void setBaseinfo(BaseInfo baseinfo) {
        this.baseinfo = baseinfo;
    }

    public TechnicalContent getTechnical_content() {
        return technical_content;
    }

    public void setTechnical_content(TechnicalContent technical_content) {
        this.technical_content = technical_content;
    }
}
